<?php

namespace Drupal\sites_group_overrides\Plugin\Group\RelationHandlerDefault;

use Drupal\group\Entity\GroupRelationshipInterface;
use Drupal\group\Plugin\Group\RelationHandler\UiTextProviderInterface;
use Drupal\group\Plugin\Group\RelationHandler\UiTextProviderTrait;

/**
 * UiTextProvider
 */
class UiTextProvider implements UiTextProviderInterface {
  use UiTextProviderTrait;

 public function __construct(UiTextProviderInterface $parent) {
   $this->parent = $parent;
 }

 public function getRelationshipLabel(GroupRelationshipInterface $group_relationship) {
   return $group_relationship->get('label')->value ?? '';
 }

}